// ======================================================================
// world.js
// ======================================================================

cubePrimitive = stageModel.getPrimitive("InnerCube");
numFaces = cubePrimitive.getFaceCount();

for (i = 0; i < numFaces; i++)
{
	face = cubePrimitive.getFace(i);
	surfaceTexture = face.getSurfaceTexture();
	if (surfaceTexture != undefined)
	{
		surfaceTexture.wrapU = false;
		surfaceTexture.wrapV = false;
	}
}

// Turning off gravity

// This has to be done in a timestep since
// the player object may be swapped out once a new avatar arrives

playerSetter = new Object();

playerSetter.timestep = function(now)
{
	player.ignoreGravityPreference = true;
	player.forcedGravitySetting = false;
}

addAnimator(playerSetter);

sound2=Sound("wind.mp3")
sound2.volume = .4		// volume
sound2.repeats=0		// loop sound		
sound2.active=true		// turn sound on
	
